<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/23/2004 *
 * ================                             Last change: 11/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_refid.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Setup default referral ID                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Standart Referral-ID einstellen                  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok'])) {
	// Save data
	ADMIN_SAVE_SETTINGS($_POST);
} else {
	// Prepare contants for the template
	ADD_MEMBER_SELECTION_BOX($_CONFIG['def_refid'], false, true, true);

	switch ($_CONFIG['refid_target']) 	{
		case "index":    define('__DEF_RT_INDEX', " selected=\"selected\""); define('__DEF_RT_REGISTER', "");          break;
		case "register": define('__DEF_RT_INDEX', "");          define('__DEF_RT_REGISTER', " selected=\"selected\""); break;
	}

	// Load template
	LOAD_TEMPLATE("admin_config_refid");
}
//
?>
